com.brightcove.player

## Class C

- java.lang.Object
- - com.brightcove.player.Constants
  - - com.brightcove.player.C

-     public final class C
      extends Constants

  Constants related to Exoplayer V2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `C.DashRoleFlag` Define a list of DASH Role flags corresponding to those in `C.DashRoleScheme`.
    `static interface` | `C.DashRoleScheme` Define the list of Role values specified in the scheme "urn:mpeg:dash:role:2011".
    `static interface` | `C.TrackType` Define of Track type constants.

    - ### Nested classes/interfaces inherited from class com.brightcove.player.Constants

      `Constants.Encoding, Constants.PcmEncoding, Constants.SelectionFlags, Constants.SelectionReason, Constants.StereoMode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DASH_ROLE_ALTERNATE_FLAG` The constant DASH_ROLE_ALTERNATE_FLAG.
    `static java.lang.String` | `DASH_ROLE_ALTERNATE_VALUE` The constant DASH_ROLE_ALTERNATE_VALUE.
    `static int` | `DASH_ROLE_CAPTION_FLAG` The constant DASH_ROLE_CAPTION_FLAG.
    `static java.lang.String` | `DASH_ROLE_CAPTION_VALUE` The constant DASH_ROLE_CAPTION_VALUE.
    `static int` | `DASH_ROLE_COMMENTARY_FLAG` The constant DASH_ROLE_COMMENTARY_FLAG.
    `static java.lang.String` | `DASH_ROLE_COMMENTARY_VALUE` The constant DASH_ROLE_COMMENTARY_VALUE.
    `static int` | `DASH_ROLE_MAIN_FLAG` The constant DASH_ROLE_MAIN_FLAG.
    `static java.lang.String` | `DASH_ROLE_MAIN_VALUE` The constant DASH_ROLE_MAIN_VALUE.
    `static int` | `DASH_ROLE_SUB_FLAG` The constant DASH_ROLE_SUB_FLAG.
    `static java.lang.String` | `DASH_ROLE_SUB_VALUE` The constant DASH_ROLE_SUB_VALUE.
    `static int` | `DASH_ROLE_SUBTITLE_FLAG` The constant DASH_ROLE_SUBTITLE_FLAG.
    `static java.lang.String` | `DASH_ROLE_SUBTITLE_VALUE` The constant DASH_ROLE_SUBTITLE_VALUE.
    `static int` | `DASH_ROLE_SUPPLEMENTARY_FLAG` The constant DASH_ROLE_SUPPLEMENTARY_FLAG.
    `static java.lang.String` | `DASH_ROLE_SUPPLEMENTARY_VALUE` The constant DASH_ROLE_SUPPLEMENTARY_VALUE.
    `static java.lang.String` | `HTTP_USER_AGENT` The user agent identifier that must be used by all HTTP requests from this plugin.
    `static java.lang.String` | `PLAYER_NAME` The constant for the Brightcove Player name
    `static int` | `TRACK_TYPE_AUDIO` A type constant for audio tracks.
    `static int` | `TRACK_TYPE_DEFAULT` A type constant for tracks of some default type, where the type itself is unknown.
    `static int` | `TRACK_TYPE_METADATA` A type constant for metadata tracks.
    `static int` | `TRACK_TYPE_TEXT` A type constant for text tracks.
    `static int` | `TRACK_TYPE_UNKNOWN` A type constant for tracks of unknown type.
    `static int` | `TRACK_TYPE_VIDEO` A type constant for video tracks.

    - ### Fields inherited from class com.brightcove.player.Constants

      `ENCODING_AC3, ENCODING_DTS, ENCODING_DTS_HD, ENCODING_E_AC3, ENCODING_INVALID, ENCODING_PCM_16BIT, ENCODING_PCM_24BIT, ENCODING_PCM_32BIT, ENCODING_PCM_8BIT, INDEX_UNSET, LENGTH_UNSET, MATCH_LONGEST_US, NO_VALUE, PLAYREADY_UUID, POSITION_UNSET, SELECTION_FLAG_AUTOSELECT, SELECTION_FLAG_DEFAULT, SELECTION_FLAG_FORCED, SELECTION_REASON_ADAPTIVE, SELECTION_REASON_INITIAL, SELECTION_REASON_MANUAL, SELECTION_REASON_TRICK_PLAY, SELECTION_REASON_UNKNOWN, STEREO_MODE_LEFT_RIGHT, STEREO_MODE_MONO, STEREO_MODE_TOP_BOTTOM, TIME_END_OF_SOURCE, TIME_UNSET, UNKNOWN_TIME_US, WIDEVINE_UUID`

  - ### Method Summary

    - ### Methods inherited from class com.brightcove.player.Constants

      `msToUs, usToMs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACK_TYPE_UNKNOWN

          public static final int TRACK_TYPE_UNKNOWN

      A type constant for tracks of unknown type.
      See Also:
        Constant Field Values

    - #### TRACK_TYPE_DEFAULT

          public static final int TRACK_TYPE_DEFAULT

      A type constant for tracks of some default type, where the type itself is unknown.
      See Also:
        Constant Field Values

    - #### TRACK_TYPE_AUDIO

          public static final int TRACK_TYPE_AUDIO

      A type constant for audio tracks.
      See Also:
        Constant Field Values

    - #### TRACK_TYPE_VIDEO

          public static final int TRACK_TYPE_VIDEO

      A type constant for video tracks.
      See Also:
        Constant Field Values

    - #### TRACK_TYPE_TEXT

          public static final int TRACK_TYPE_TEXT

      A type constant for text tracks.
      See Also:
        Constant Field Values

    - #### TRACK_TYPE_METADATA

          public static final int TRACK_TYPE_METADATA

      A type constant for metadata tracks.
      See Also:
        Constant Field Values

    - #### DASH_ROLE_MAIN_VALUE

          public static final java.lang.String DASH_ROLE_MAIN_VALUE

      The constant DASH_ROLE_MAIN_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_ALTERNATE_VALUE

          public static final java.lang.String DASH_ROLE_ALTERNATE_VALUE

      The constant DASH_ROLE_ALTERNATE_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_CAPTION_VALUE

          public static final java.lang.String DASH_ROLE_CAPTION_VALUE

      The constant DASH_ROLE_CAPTION_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_SUBTITLE_VALUE

          public static final java.lang.String DASH_ROLE_SUBTITLE_VALUE

      The constant DASH_ROLE_SUBTITLE_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_SUPPLEMENTARY_VALUE

          public static final java.lang.String DASH_ROLE_SUPPLEMENTARY_VALUE

      The constant DASH_ROLE_SUPPLEMENTARY_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_COMMENTARY_VALUE

          public static final java.lang.String DASH_ROLE_COMMENTARY_VALUE

      The constant DASH_ROLE_COMMENTARY_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_SUB_VALUE

          public static final java.lang.String DASH_ROLE_SUB_VALUE

      The constant DASH_ROLE_SUB_VALUE.
      See Also:
        `C.DashRoleScheme`, Constant Field Values

    - #### DASH_ROLE_MAIN_FLAG

          public static final int DASH_ROLE_MAIN_FLAG

      The constant DASH_ROLE_MAIN_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_ALTERNATE_FLAG

          public static final int DASH_ROLE_ALTERNATE_FLAG

      The constant DASH_ROLE_ALTERNATE_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_CAPTION_FLAG

          public static final int DASH_ROLE_CAPTION_FLAG

      The constant DASH_ROLE_CAPTION_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_SUBTITLE_FLAG

          public static final int DASH_ROLE_SUBTITLE_FLAG

      The constant DASH_ROLE_SUBTITLE_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_SUPPLEMENTARY_FLAG

          public static final int DASH_ROLE_SUPPLEMENTARY_FLAG

      The constant DASH_ROLE_SUPPLEMENTARY_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_COMMENTARY_FLAG

          public static final int DASH_ROLE_COMMENTARY_FLAG

      The constant DASH_ROLE_COMMENTARY_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### DASH_ROLE_SUB_FLAG

          public static final int DASH_ROLE_SUB_FLAG

      The constant DASH_ROLE_SUB_FLAG.
      See Also:
        `C.DashRoleFlag`, Constant Field Values

    - #### PLAYER_NAME

          public static final java.lang.String PLAYER_NAME

      The constant for the Brightcove Player name
      See Also:
        Constant Field Values

    - #### HTTP_USER_AGENT

          public static java.lang.String HTTP_USER_AGENT

      The user agent identifier that must be used by all HTTP requests from this plugin.